﻿using System;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.JustMock;

namespace JustMockTestProject4
{
    /// <summary>
    /// Summary description for UnitTest2
    /// </summary>
    [TestClass]
    public class UnitTest2
    {
        internal class InternalClass
        {
            public int GetInt() { return 5; }
        }

        internal class InternalOwner
        {
            public int GetInt() { return 5; }
            public InternalClass InternalClassField = new InternalClass();

            public InternalClass InternalClassProp
            {
                get { return InternalClassField; }
            }

        }

        [TestMethod]
        public void Test5()
        {
            InternalOwner io = Mock.Create<InternalOwner>();

            Mock.Arrange(() => io.GetInt()).Returns(6);     // Test1, works.
            Mock.Arrange(() => io.InternalClassProp.GetInt()).Returns(6);       // Test3, FAILS.
        }
    }
}
